spring:
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 10.10.10.230:8848
        # 命名空间
        namespace: slope-manage-service
        # 共享配置
        group: slope-manage-service
      config:
        # 配置中心地址
        server-addr: 10.10.10.230:8848
        # 配置文件格式
        file-extension: yaml
        # 命名空间
        namespace: slope-manage-service
        # 共享配置
        group: slope-manage-service
        #可以读多个配置文件  需要在同一个命名空间下面可以是不同的组
        extension-configs:
          - dataId: slope-common.yml
            group: slope-manage-service
            refresh: true
  data:
    #redis
    redis:
      #redis机器ip
      host: 10.10.10.230
      #redis端口
      port: 6379
      #redis密码
      password: test
      #数据库
      database: 7
      #redis超时时间（毫秒），如果不设置，取默认值2000
      timeout: 10000
      #最大空闲数
      maxIdle: 300
      #连接池的最大数据库连接数。设为0表示无限制,如果是jedis 2.4以后用redis.maxTotal
      #maxActive=600
      #控制一个pool可分配多少个jedis实例,用来替换上面的redis.maxActive,如果是jedis 2.4以后用该属性
      maxTotal: 1000
      #最大建立连接等待时间。如果超过此时间将接到异常。设为-1表示无限制。
      maxWaitMillis: 1000
      #连接的最小空闲时间 默认1800000毫秒(30分钟)
      minEvictableIdleTimeMillis: 300000
      #每次释放连接的最大数目,默认3
      numTestsPerEvictionRun: 1024
      #逐出扫描的时间间隔(毫秒) 如果为负数,则不运行逐出线程, 默认-1
      timeBetweenEvictionRunsMillis: 30000
      #是否在从池中取出连接前进行检验,如果检验失败,则从池中去除连接并尝试取出另一个
      testOnBorrow: true
      #在空闲时检查有效性, 默认false
      testWhileIdle: true
      #连接池最大连接数（如果配置<=0，则没有限制）
      jedis:
        pool:
          max-active: -1
  datasource:
    dynamic:
      primary: mysql
      #严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
      strict: false
      datasource:
        mysql:
          url: jdbc:mysql://10.10.10.230:3306/sckw_transport?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=GMT%2B8
          username: sckw_dev
          password: Yy123...
          driver-class-name: com.mysql.jdbc.Driver
          hikari:
            # 最小空闲连接数，未设置则默认为是maximumPoolSize
            minimum-idle: 5
            # 最大连接数，默认10
            maximum-pool-size: 10
            # 自动提交事务行为,默认true
            auto-commit: true
            #连接允许被闲置在池中的最大时间（毫秒），超时则被释放（retired），默认:10分钟
            idle-timeout: 600000
            # 连接池名字
            pool-name: OrderHikariCP
            # 连接的最大生命周期（毫秒），超时而且没被使用则被释放（retired），默认:30分钟
            max-lifetime: 1800000
            # 等待连接池分配连接的最大时长（毫秒）默认:30秒
            connection-timeout: 30000
        td:
          url: jdbc:TAOS-RS://10.10.10.221:6041/devices?charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8
          username: root
          password: taosdata
          driver-class-name: com.taosdata.jdbc.rs.RestfulDriver
          pool-name: Data_trans_HikariCP
          hikari:
            # 最小空闲连接数，未设置则默认为是maximumPoolSize
            minimum-idle: 5
            # 最大连接数，默认10
            maximum-pool-size: 10
            #连接允许被闲置在池中的最大时间（毫秒），超时则被释放（retired），默认:10分钟
            idle-timeout: 600000
            # 连接的最大生命周期（毫秒），超时而且没被使用则被释放（retired），默认:30分钟
            max-lifetime: 1800000
            # 等待连接池分配连接的最大时长（毫秒）默认:30秒
            connection-timeout: 30000
mybatis-plus:
  mapper-locations: classpath*:/mapper/*.xml    #扫描xml文件
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.sckw.*.model
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl


#oss上传
aliyun:
  oss:
    endpoint: oss-cn-chengdu.aliyuncs.com
    accessKeyId: LTAI5tPEbubCGq5Rdwygbz4Q
    secret: 7mQLWMaBJeZPRV1SRGogctYGXwppjQ
    bucket: kaiwu-saas